Page 5 of 25 FirstFirst ... 3456715 ... LastLast
Results 41 to 50 of 246
  1. #41
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by mc12345678 View Post
    The community is helpful to those that help themselves and when able others. You're doing a fine job and thank you for answering that question with the detail provided.
    Thanks.

    Quote Originally Posted by mc12345678 View Post
    Two things I see right now and it is something you will need to come to understand to successfully update your live store when the time comes.

    1. Where did the third database prefix come from? (ie. Expect that one set of tables came from the auto-installer, one definitely came from your live site, but there is a third. Does the database in you site have 2 sets of tables (2 prefixed groups) or just one?)

    If two, again back to drbyte's previous comment: look at the includes/configure.php file of your live site for DB_PREFIX. That value is what should be in your upgrade site in the same file. (don't change it without further discussion is a recommendation at this point)
    I can only guess that this other prefix came from the installer. At no point in the process was i asked to name a DB (i was expecting that). I was only asked to give a username and password for the admin login. That was all.

    To answer your question, yes, i see two sets of tables: one starting with zen_ prefix (just like the one on the live site) and one with zenng_ prefix, which i can only guess came from that installer.

    Quote Originally Posted by mc12345678 View Post
    The other issue is that the three other upgrade steps did not get performed. Namely 1.5.0 to 1.5.1, 1.5.1 to 1.5.2 and 1.5.2 to 1.5.3.

    So question is when doing the database upgrade today, we're those three checkboxes marked (automatically) or were they manually unchecked, etc... ie. why were they omitted in the process. Part of the answer to that may lie in a question previously asked about what plugins had been installed in the "old" database.
    When i ran the zc_install, this morning, i remember only TWO boxes, one was 1.5.3 > 1.5.4 and 1.5.4 > 1.5.5
    There were no other boxes. Since i knew i had 1.5.0, i obviously was expecting other options.

    Quote Originally Posted by mc12345678 View Post
    Minor "background". The installer spot checks some database characteristics to identify the "need" of each upgrade step. If the sought data is found then none of the other changes are made. Therefore a plugin may have updated something in the database to cause the installer to skip an upgrade step.
    Any way to know? Or any point in finding out? Or maybe the better question: what to do about it?

    I am all ears!

  2. #42
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by dbltoe View Post
    There's probably no need to wipe the slate and start over but you may need to read posts 10 and 11 at https://www.zen-cart.com/showthread....14#post1326914.

    It just might be that one of those changes (since it involves database function) might fix your problem.
    I am wondering if it is something i should do now or something i should have done then.
    But again, right now i am seeing double with that double set of tables!

  3. #43
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Still both issues to discuss:
    1. "Seeing" the two sets of tables, which database? Old aka live? Or new/temp database or both?

    2. So, yeah, could go figure out *exactly* why, but as you did with the questions, let's jump to the end of what to do about it...

    My first off-the-cuff thought was to just implement all of the changes that those three would have right now. But... then I realized, duh... these should be done in sequence not randomly...

    So... two things to do to approach this smartly now and will make your goal easier to reach. Ask your host to import the database again or as dbltoe suggested work through your cpanel or other tools to do it yourself. Then you will want to apply the missing patches through the phpmyadmin one version at a time for the three missing steps.

    Then run zc_install to upgrade from 1.5.3 to 1.5.5e latest version.


    Note: because you have a database prefix in use from your old store, you have two options. Either update/modify the three missing step "files" to include the prefix, or you get the prefix removed from the upload/backup. Whatever is done, remember that this all needs to be duplicated again, so you'll want to do one at-a-time. I guess, a third option would be to force the installer to go ahead and execute the three steps anyways... that's likely the easiest route and easily reproduced.... I know there are some that have recently done that. I need to look into the installer again to offer the necessary advise. In the mean time maybe that database transfer can be worked on.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  4. #44
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    1. "Seeing" the two sets of tables, which database? Old aka live? Or new/temp database or both?
    The one with the zen_ prefix seems identical to the one from the live store. I guess that is the one they imported from the export i made from the live site. Currently, on the test site, i see what i would see in the live store (products, categories, descriptions, etc.). Maybe the zenng_ database was the one created with the auto-install, but then, when i asked my host to import the zen_ database, shouldn't have that replaced the zenng_ one? Should i just remove one? if so, which one? Or remove both and re-import the zen_ one?

    Ask your host to import the database again or as dbltoe suggested work through your cpanel or other tools to do it yourself.
    Not sure i can rely on my host ;)
    I had contacted them this morning for something else and asked if there was a way to have access to import a larger file, considering that i will need that (i think) when i finally do the live store, so they sent me to this page, which should allow that (not to figure out how easy that is, one step at the time).

    So, step 1 - i'll go do that

    Then you will want to apply the missing patches through the phpmyadmin one version at a time for the three missing steps.
    Unfortunately, i don't know what you mean by "applying the missing patches"

    Then run zc_install to upgrade from 1.5.3 to 1.5.5e latest version.
    Just like i did this morning i guess?

  5. #45
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Darn, i can't edit my post for clarification:

    I see one DATABASE, called creat419_zenc598. Inside that ONE database, i see two sets of tables. The one with the zen_ prefix seems identical to the one from the live store. I guess that is the one [set of tables/database] they imported from the export i made from the live site. Currently, on the test site (front and backend), i see what i would see in the live store (products, categories, descriptions, etc.). Maybe the zenng_ set of tables were the ones created with the auto-install, but then, when i asked my host to import the zen_ database, shouldn't have that replaced the zenng_ tables? Should i just remove one set of tables? if so, which one? Or remove both and re-import the zen_ one?

  6. #46
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    Darn, i can't edit my post for clarification:

    I see one DATABASE, called creat419_zenc598. Inside that ONE database, i see two sets of tables. The one with the zen_ prefix seems identical to the one from the live store. I guess that is the one [set of tables/database] they imported from the export i made from the live site. Currently, on the test site (front and backend), i see what i would see in the live store (products, categories, descriptions, etc.). Maybe the zenng_ set of tables were the ones created with the auto-install, but then, when i asked my host to import the zen_ database, shouldn't have that replaced the zenng_ tables? Should i just remove one set of tables? if so, which one? Or remove both and re-import the zen_ one?
    Will be responding to both messages, but one at-a-time.

    So, the zenng_ prefix set sounds like it did likely come from the auto-install. The import of the tables from one database to another do not remove the tables that otherwise exist and depending on the method of transfer and/or imported, may or may not replace existing tables of the same name.

    So. Should you remove the new install tables? Eh... not too important right now, but keep it on your list of things to do later. For now it serves as a possible "mostly" correct install to which you could always revisit.

    Now, the part of "importing" the tables again. If you follow the instructions available in the FAQ, then the import of the old/live tables will replace the tables of the same name. So you don't have to do anything additional to them. (ie. One less step).

    Important part is working through the existing suggestion of copying over the old database to the new database again (and maintaining a copy of the live site just in case)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  7. #47
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    Not sure i can rely on my host ;)
    I had contacted them this morning for something else and asked if there was a way to have access to import a larger file, considering that i will need that (i think) when i finally do the live store, so they sent me to this page, which should allow that (not to figure out how easy that is, one step at the time).

    So, step 1 - i'll go do that


    Unfortunately, i don't know what you mean by "applying the missing patches"


    Just like i did this morning i guess?
    That's ok about not knowing how to complete what I described, I kind of didn't want to overload with things in one single post. :)

    That said, I still think it would be faster, easier, more productive to force the installer to try to run them instead of possibly making any number of mistakes in trying to alter the upgrade scripts. Also, the installer makes logs that can be reviewed for any modifications to the script that may be necessary as a result of forcing the execution. Plus it would allow you to concentrate on more important things. :)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  8. #48
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Just contacted my host because their explanation of how to import a larger database was more scary then anything. And this time, the tech (more knowledgable than the previous ones), cloned my live site DB into the new install after deleting the new one completely (instead of an import). So now, i have only ONE set of tables, with the same prefix as my live site. Everything is the same (even the login).

    So now, i am back to the initial db import that is complete.

    In the version history now, i see this:
    Zen Cart 1.5.5e
    Database Patch Level: 1.5.0
    v1.5.0 [2012-02-23 07:42:30] (Version Update 1.3.9->1.5.0)
    v1.3.9h [2011-01-27 15:29:47] (Version Update 1.3.8->1.3.9h)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)

    From what i understood, i did:
    - copy the zc_install folder
    - ran the zc_install in my browser
    - chose update
    - this time it gave me 5 upgrades, i kept them all checked
    - now the version history shows as:
    Zen Cart 1.5.5e
    Database Patch Level: 1.5.5
    v1.5.5e [2017-08-24 16:04:10] (Version Update 1.5.4->1.5.5e)
    v1.5.4 [2017-08-24 16:04:09] (Version Update 1.5.3->1.5.4)
    v1.5.3 [2017-08-24 16:04:09] (Version Update 1.5.2->1.5.3)
    v1.5.2 [2017-08-24 16:04:09] (Version Update 1.5.1->1.5.2)
    v1.5.1 [2017-08-24 16:04:08] (Version Update 1.5.0->1.5.1)
    v1.5.0 [2012-02-23 07:42:30] (Version Update 1.3.9->1.5.0)
    v1.3.9h [2011-01-27 15:29:47] (Version Update 1.3.8->1.3.9h)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)
    v1.3.8 [2009-02-13 04:51:56] (Fresh Installation)

    Yay!!!

    And the warning is GONE.
    Now, i have a red warning that the site is showing in maintenance to the public. Is that normal? If so, i am all set to go (for now).

  9. #49
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    If i am good to go, i have another more general question that will pertain to all my mods afterward.

    In many cases, there are instructions to change the MY_TEMPLATE name to the actual template i am using. In the test site, I am not using anything other than the default, so in that case, what is the name i should use to replace MY_TEMPLATE? Is it "classic" (which seems to show everywhere) or "template_default" or all of the above?

    One minor reason i wanted this upgrade was for an opportunity to have a responsibe theme (to please Google). But, i don't like those new themes. My audience is quite used to the old looks and the new ones are way too different. So I might just tweak the default theme (there is still a lot of customization that can be done!)

  10. #50
    Join Date
    Jul 2012
    Posts
    11,632
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Yup.

    Initiate an upgrade and the system "locks" down to prevent changes to the database during the upgrade.

    The normal suggestion though would be to place it in maintenance mode first then start the upgrade. This way the files and changes made to them will not affect the database in any way. Once you have this process down including all of the things you are going to do to make it all look and act like you want, you will want to be able to rapidly repeat for the actual upgrade. By repeat I pretty much am referring to what changes need to occur to the database. The files in general will be as modified to get the test site you want.

    Hope that makes sense, if not please try to explain what you understood and ask about what you didn't. :)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

 

 
Page 5 of 25 FirstFirst ... 3456715 ... LastLast

Similar Threads

  1. Replies: 1
    Last Post: 15 Feb 2013, 07:42 AM
  2. v150 Need to re-do my upgrade - but need help!
    By annieh in forum Upgrading to 1.5.x
    Replies: 0
    Last Post: 14 Jun 2012, 01:32 AM
  3. Do i need to upgrade from 1.3.8a?
    By creamcrackers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Oct 2010, 05:21 AM
  4. Need help with upgrade from 1.3.7 to 1.3.8
    By josee225 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Sep 2009, 09:45 PM
  5. Need help upgrade from 1.3.7 to 1.3.8
    By lennypeng in forum Upgrading from 1.3.x to 1.3.9
    Replies: 17
    Last Post: 16 Nov 2008, 11:53 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR